## isc-kea 2.2.0

=== debian/changelog ===
isc-kea (2.2.0-6) unstable; urgency=medium

  [ Andreas Hasenack ]
  * apparmor: use the apparmor nameservice abstraction.
    Use the apparmor nameservice abstraction instead of hand-picked rules.
    (Closes: #1033640, #1033639)

 -- Paride Legovini <paride@debian.org>  Mon, 03 Apr 2023 12:48:28 +0200

isc-kea (2.2.0-5) unstable; urgency=medium

  [ Paride Legovini ]
  * d/control: update to Standards-Version 4.6.2, no changes needed

  [ Andreas Hasenack ]
  * d/t/kea-dhcp4.conf.template: retry opening a socket. Sometimes the
    `keabr0` bridge used in the DEP8 test takes a while to become ready, and
    kea-dhcp4 fails to open a socket on it. Add configuration options to
    kea-dhcp4 to retry opening the socket a few times before giving up.
    (LP: #2008932)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 02 Mar 2023 14:00:17 -0300

isc-kea (2.2.0-4) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/rules: use MathJax from libjs-mathjax instead loading from external CDN

  [ Andreas Hasenack ]
  * d/t/kea-dhcp4: make the test more robust
    - increase dhclient timeout to 60s, and run in verbose mode
    - show logs in the case of failure
    - set +e inside the cleanup handler
    - fix resolv.conf regexp

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 27 Feb 2023 14:58:26 -0300

isc-kea (2.2.0-3) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Add apparmor profiles.
    - d/control: add build-depends on dh-apparmor
    - d/usr.sbin.kea-*: add the profiles
    - d/kea-*.install: install the profiles
    - d/rules: use dh_apparmor to enable the profiles
  * d/tests: Add DEP8 test for kea-dhcp4

 -- Paride Legovini <paride@debian.org>  Fri, 17 Feb 2023 19:59:43 +0100

isc-kea (2.2.0-2) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/tests: add simple DEP8 smoke tests
  * Set default control sockets location to /run/kea (Closes: #1014929)
    (LP: #1863100)

  [ Paride Legovini ]
  * d/control: drop dependency on lsb-base (obsolete)
  * d/salsa-ci.yml: enable the autopkgtest job
  * d/kea-common.*:
    - Do not install keactrl. The keactrl script is not systemd-aware and not
      installed by the upstream .deb packages. Remove it from the Debian
      packaging
    - Leave handling of /var/*/kea directories to systemd. No need to create
      them in packaging as the systemd units will automatically create them
      with the right ownership and permissions
  * d/*.service:
    - Do not set KEA_LOGGER_DESTINATION. The variable is meant to tell the
      daemons where to log *before* their config files are loaded. If unset
      the default is stdout, which works well with systemd
    - Do not set KEA_PIDFILE_DIR. What we set it to corresponds to the
      defaults. The documentation says that KEA_PIDFILE_DIR "is intended
      primarily for testing"
  * d/rules: use the systemd journal for logging (Closes: #1016747)
    (LP: #2006522)
  * d/kea-doc.README.Debian: document how logging is done by default
  * d/tests/smoke-tests: check location of PID and lock files

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 14 Feb 2023 11:24:58 -0300

isc-kea (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0.
    Thanks to Daniel Baumann (Closes: #1016109)
  * debian/patches:
    - 0002-kea_admin_fix.patch: refresh patch
    - 0007-keyctrl-colored-ddns-status.patch: drop patch (fixed upstream)
    - 0009-disable-database-tests.patch: refresh patch
    - 0010-build-libco-when-gtest-is-not-enabled: drop patch (fixed upstream)
    - 0011-sphinx-set-language.patch: drop patch (fixed upstream)
  * d/kea-doc.doc-base: register documentation to doc-base
  * Lintian overrides:
    - *.lintian-overrides: adapt to "pointed hints" syntax
    - kea-admin.l-o: bash-term-in-posix-shell (false positives)
    - d/kea-doc.l-o: add overrides for sphinx installed fonts.
      + font-in-non-font-package [usr/share/doc/kea/html/_static/fonts/*]
      + font-outside-font-dir [usr/share/doc/kea/html/_static/fonts/*]
  * d/copyright: remove file patterns made unnecessary by new release
  * d/salsa-ci.yml: add salsa CI

 -- Paride Legovini <paride@debian.org>  Tue, 02 Aug 2022 12:16:45 +0000

isc-kea (2.0.2-3) unstable; urgency=medium

  * d/rules: configure: specify the Python site packages location.
    Related changes:
     - d/python3-kea-connector.install: update paths accordingly
    Thanks to Kilian Krause (Closes: #1014995)

 -- Paride Legovini <paride@debian.org>  Wed, 20 Jul 2022 16:03:19 +0000

isc-kea (2.0.2-2) unstable; urgency=medium

  * d/patches: explicitly set the sphinx doc language.
    Needed for compatibility with Sphinx 5.0. New patch:
    - d/p/0011-sphinx-set-language.patch (Closes: #1013407)
  * d/control: bump Standards-Version to 4.6.1, no changes needed
  * d/gbp.conf: debian-branch = debian/unstable (DEP-14)
  * d/gbp.conf: enable use of pristine-tar
  * d/watch.include-odd-versions: alternative watch file.
    Also covers the odd-numbered (= devel) upstream releases.

 -- Paride Legovini <paride@debian.org>  Sun, 26 Jun 2022 14:48:25 +0000
