## isc-kea 2.2.1

=== debian/changelog ===
isc-kea (2.2.1-3) unstable; urgency=medium

  [ Andreas Hasenack ]
  * apparmor: allow kea-ctrl-agent to access IPv6 sockets
    (Closes: #1052764)

 -- Paride Legovini <paride@debian.org>  Wed, 27 Sep 2023 14:47:14 +0200

isc-kea (2.2.1-2) unstable; urgency=medium

  * d/po/de.po: add German debconf translation.
    Thanks to Christoph Brinkhaus (Closes: #1041710)
  * d/po/es.po: add Spanish debconf translation.
    Thanks to Camaleón (Closes: #1041772)
  * d/po/nl.po: add Dutch debconf translation.
    Thanks to Frans Spiesschaert (Closes: #1041875)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Sun, 10 Sep 2023 10:09:52 -0300

isc-kea (2.2.1-1) unstable; urgency=medium

  * d/u/signing-key.asc: update upstream signing key
  * New upstream version 2.2.1
  * Fix typo in debconf string.
    Thanks to Helge Kreutzmann (Closes: #1041394)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 04 Aug 2023 07:37:08 -0300

isc-kea (2.2.0-8) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/rules: add strict shlibs control file

  [ Andreas Hasenack ]
  * Restrict access to the default RESTful API on 127.0.0.1:8000 to
    authenticated users (Closes: #1033367) (LP #2007312):
    - Add debconf templates to restrict API access
    - d/control: add debconf build-deps
    - d/kea-ctrl-agent.postinst: handle kea-api password creation
    - d/kea-ctrl-agent.config: prepare debconf questions
    - d/kea-ctrl-agent.postrm: purge api password file
    - d/p/0011-kea-ctrl-agent-authentication.patch
    - d/t/kea-ctrl-agent.service: require a non-empty kea api password file
    - d/t/control, d/t/kea-ctrl-agent-debconf: test debconf options
    - d/t/smoke-tests, d/t/kea-dhcp4: support kea-ctrl-agent authentication
  * d/NEWS: update with noteworthy changes

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 04 Jul 2023 10:40:32 -0300
