## isc-kea 2.4.1

=== debian/changelog ===
isc-kea (2.4.1-3ubuntu0.1) noble; urgency=medium

  * d/usr.sbin.kea-lfc: add lock permission to logger_lockfile (LP: #2121327)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Tue, 26 Aug 2025 15:35:25 +0200

isc-kea (2.4.1-3build3.1) noble; urgency=medium

  * SRU: LP: #2083480: No-change rebuild to disable frame pointers on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 14:40:50 +0200

isc-kea (2.4.1-3build3) noble; urgency=medium

  * No change rebuild against fixed liblog4cplus-2.0.5t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Apr 2024 15:25:04 +0200

isc-kea (2.4.1-3build2) noble; urgency=high

  * No change rebuild against liblog4cplus-2.0.5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:59:34 +0200

isc-kea (2.4.1-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:32:35 +0000

isc-kea (2.4.1-3) unstable; urgency=medium

  [ Paride Legovini ]
  * d/t/smoke-test: add sleep to allow for the services to start
  * d/t/kea-ctrl-agent-debconf override systemd restart limit.
    Thanks to Andreas Hasenack
  * ci: salsa pipeline: disable the crossbuild-arm64 job
  * ci: salsa pipeline: fail on Lintian warnings
  * d/*.l-o: drop unused overrides
  * kea-dev: build and install kea-msg-compiler.
    Thanks to Quentin Armitage (Closes: #1065362)
  * d/kea-dev.l-o: override no-manual-page for kea-msg-compiler
  * ci: salsa pipeline: enable reprotest, without build_path variation.
    Thanks to Holger Levsen
  * d/p/0001-support_kfreebsd.patch: drop patch.
    The development of Debian GNU/kFreeBSD terminated in July 2023.
  * d/p/0011-kea-ctrl-agent-authentication.patch: add dep-3 headers
  * d/*.init: fix SysV init scripts.
    Thanks to Stefan Klein (Closes: #1055438)
  * d/rules: disable LTO on ppc64el as it causes crashes.
    Thanks to Sergio Durigan Junior (LP: #2055151)

  [ Andreas Hasenack ]
  * apparmor: also allow reading the pid file.
    At least kea-ctrl-agent attempts to read the pid file, and it makes
    sense to allow that. Also make the change for all other profiles.

 -- Paride Legovini <paride@debian.org>  Fri, 29 Mar 2024 16:38:54 +0100

isc-kea (2.4.1-2) unstable; urgency=medium

  * Team upload.

  [ Athos Ribeiro ]
  * d/*.service: Remove dhcp{4,6} WantedBy statements

  [ Paride Legovini ]
  * d/po/fr.po: add French templates translation.
    Thanks to Jean-Pierre Giraud (Closes: #1059863)
  * d/copyright: update copyright years for debian/*

  [ Andreas Hasenack ]
  * apparmor: add missing include directive.
    Add a missing include directive to all profiles include the
    site-specific additions and overrides. (Closes: #1064513)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 26 Feb 2024 10:32:35 -0300

isc-kea (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 14 Dec 2023 17:21:04 -0300

isc-kea (2.4.0-1) unstable; urgency=medium

  [ Paride Legovini ]
  * d/control: add Athos Ribeiro to Uploaders
  * d/*.init: specify the daemons' full path.
    Thanks to Alessandro Vesely (Closes: #1052338)

  [ Athos Ribeiro ]
  * New upstream version 2.4.0 (Closes: #1040523)
  * d/patches: refresh patches
  * d/rules: remove cleanup for kea_connector2.py
  * d/t/kea-dhcp4: check if lease lifetime is valid

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 26 Oct 2023 09:17:18 -0300
