=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: isc-kea
 Section: net
 Priority: optional
-Maintainer: Kea <isc-kea@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kea <isc-kea@packages.debian.org>
 Uploaders:
  Adam Majer <adamm@zombino.com>,
  Ondřej Surý <ondrej@debian.org>,
  Jason Guy <jason.e.guy@gmail.com>,
  Paride Legovini <paride@debian.org>,
+ Athos Ribeiro <athos.ribeiro@canonical.com>,
 Build-Depends:
  bison,
  debhelper-compat (= 13),
@@ -19,9 +21,10 @@
  flex,
  libboost-dev,
  libboost-system-dev,
- liblog4cplus-dev,
+ liblog4cplus-dev (>= 2.0.8-1.1ubuntu3),
  libpq-dev,
  libssl-dev,
+ po-debconf,
  postgresql-server-dev-all,
  procps,
  python3-dev,
@@ -80,6 +83,7 @@
 Depends:
  kea-common (= ${binary:Version}),
  python3-kea-connector,
+ debconf (>= 0.5),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
