=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,13 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Disable LTO on ppc64el as it causes crashes (LP: #2055151).
+# This has been spotted in Ubuntu, where LTO is enabled by
+# default, but it likely that Debian would be affected too.
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+export DEB_BUILD_MAINT_OPTIONS += optimize=-lto
+endif
 
 %:
 	dh $@ --with python3 -X.la
@@ -22,6 +29,7 @@
 		--with-pgsql \
 		--with-boost-libs=-lboost_system \
 		--enable-generate-docs \
+		--enable-generate-messages \
 		--enable-shell \
 		--disable-static \
 		--disable-rpath \
@@ -52,8 +60,7 @@
 	rm -rv \
 	    debian/tmp/usr/share/doc/kea/ChangeLog \
 	    debian/tmp/usr/share/doc/kea/COPYING \
-	    debian/tmp/usr/lib/python3/dist-packages/kea/__pycache__ \
-	    debian/tmp/usr/lib/python3/dist-packages/kea/kea_connector2.py
+	    debian/tmp/usr/lib/python3/dist-packages/kea/__pycache__
 	# log to stdout (i.e. to to the systemd journal), and use a shorter log
 	# pattern that avoids logging information made redundant by the journal.
 	# adapted from: https://gitlab.isc.org/isc-projects/kea-packaging/-/blob/master/debian/rules
