=== debian/tests/control ===
--- 
+++ 
@@ -1,3 +1,9 @@
+# Keep this test as the first, as it will verify the default installation
+# behavior wrt kea-ctrl-agent password configuration
+Tests: kea-ctrl-agent-debconf
+Restrictions: needs-root, allow-stderr
+Depends: kea-ctrl-agent
+
 Tests: smoke-tests
 Restrictions: needs-root, allow-stderr
 Depends: kea, curl, jq
