## isc-kea 2.6.1

=== debian/changelog ===
isc-kea (2.6.1-1ubuntu0.1) plucky; urgency=medium

  * d/usr.sbin.kea-lfc: add lock permission to logger_lockfile (LP: #2121327)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Tue, 26 Aug 2025 15:35:25 +0200

isc-kea (2.6.1-1) unstable; urgency=medium

  [ Paride Legovini ]
  * d/control: drop useless Build-Depends: elinks.
  * CI: Add Salsa CI pipeline for Ubuntu.
    Thanks to Ahmed Siam, Otto Kekäläinen

  [ Helmut Grohne ]
  * d/control, d/rules: reduce Build-Depends
    - Drop unused docbook, docbook-xsl, elinks, xsltproc.
    - Annotate procps <!nocheck>.
    - Reduce python3-dev to python3 as no extension is being built.
    - Annotate python3 with :any to support cross building.
    - Declaratively enable python3 sequence addon. (Closes: #1080444)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Athos Ribeiro ]
  * New upstream version 2.6.1. (Closes: #1087295)
  * d/p/0009-disable-database-tests.patch: refresh patch
  * d/tests/kea-dhcp4*: explicitly configure subnet ID.
    These are no longer optionally auto generated.
  * d/p/0002-kea_admin_fix.patch: drop patch.
    The local paths being removed are spread among several other files and
    the code paths using them are not accessed when running the installed
    version of these files/binaries.
  * d/salsa-ci.yml: update ubuntu series to plucky

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 06 Jan 2025 15:21:15 -0300
