=== debian/control ===
--- 
+++ 
@@ -14,23 +14,19 @@
  debhelper-compat (= 13),
  default-libmysqlclient-dev,
  dh-apparmor,
- dh-python,
- docbook,
- docbook-xsl,
- elinks,
+ dh-sequence-python3,
  flex,
  libboost-dev,
  libboost-system-dev,
- liblog4cplus-dev (>= 2.0.8-1.1ubuntu3),
+ liblog4cplus-dev,
  libpq-dev,
  libssl-dev,
  po-debconf,
  postgresql-server-dev-all,
- procps,
- python3-dev,
+ procps <!nocheck>,
+ python3:any,
  python3-sphinx,
  python3-sphinx-rtd-theme,
- xsltproc,
 Standards-Version: 4.6.2
 Homepage: http://kea.isc.org/
 Vcs-Git: https://salsa.debian.org/debian/isc-kea.git
