## isc-kea 2.6.3

=== debian/changelog ===
isc-kea (2.6.3-2) unstable; urgency=medium

  [ Jonas Jelten ]
  * d/usr.sbin.kea-lfc: add lock permission to logger_lockfile (LP: #2121327)

  [ Athos Ribeiro ]
  * d/control: bump standards version
  * d/copyright: update Debian copyright

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 27 Aug 2025 13:35:39 -0300

isc-kea (2.6.3-1) unstable; urgency=medium

  * New upstream version 2.6.3.
    Closes: #1106737 by fixing:
    - CVE-2025-32801:
      Loading a malicious hook library can lead to local privilege escalation
    - CVE-2025-32802:
      Insecure handling of file paths allows multiple local attacks
    - CVE-2025-32803:
      Insecure file permissions can result in confidential information leakage
    Thanks: Salvatore Bonaccorso
  * d/*.service: restrict RuntimeDirectory and StateDirectory.
    This is part of the fix of the aforementioned CVEs.
  * d/kea-common.postinst: make /etc/kea owned by _kea:_kea and chmod 0750
  * d/p/0009-disable-database-tests.patch: refresh (context)
  * d/p/0010-set-control-sockets-location.patch drop patch (upstreamed)
  * d/p/0011-kea-ctrl-agent-authentication.patch: drop patch (upstreamed)
  * d/t/smoke-test: execute some test commands as the _kea user.

 -- Paride Legovini <paride@debian.org>  Mon, 02 Jun 2025 19:00:06 +0200

isc-kea (2.6.1-2) unstable; urgency=medium

  [ Gioele Barabucci ]
  * d/control: Remove outdated debconf version constraint (Closes: #1096119)

  [ Paride Legovini ]
  * d/po/pt.po: add Portuguese debconf translation.
    Thanks to Américo Monteiro (Closes: #1065408)
  * d/po/pt_BR.po: add Brazilian Portuguese debconf translation.
    Thanks to Paulo Henrique de Lima Santana (Closes: #1098449)
  * d/po/ro.po: add Romanian debconf translation.
    Thanks to Remus-Gabriel Chelu (Closes: #1101800)

 -- Paride Legovini <paride@debian.org>  Wed, 02 Apr 2025 09:44:44 +0200
