=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Depends: kea-ctrl-agent
 
 Tests: smoke-tests
-Restrictions: needs-root, allow-stderr
+Restrictions: needs-root, needs-sudo, allow-stderr
 Depends: kea, curl, jq
 
 Tests: kea-dhcp4
