## isc-kea 2.6.4

=== debian/changelog ===
isc-kea (2.6.4-1) unstable; urgency=medium

  * New upstream version 2.6.4 (Closes: #1112307)
  * d/watch: update to format version 5

 -- Paride Legovini <paride@debian.org>  Thu, 28 Aug 2025 22:03:50 +0200
