=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: isc-kea
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kea <isc-kea@packages.debian.org>
+Maintainer: Kea <isc-kea@packages.debian.org>
 Uploaders:
  Adam Majer <adamm@zombino.com>,
  Ondřej Surý <ondrej@debian.org>,
@@ -27,7 +26,7 @@
  python3:any,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://kea.isc.org/
 Vcs-Git: https://salsa.debian.org/debian/isc-kea.git
 Vcs-Browser: https://salsa.debian.org/debian/isc-kea
@@ -79,7 +78,6 @@
 Depends:
  kea-common (= ${binary:Version}),
  python3-kea-connector,
- debconf (>= 0.5),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
