=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 endif
 
 %:
-	dh $@ --with python3 -X.la
+	dh $@ -X.la
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
