=== debian/watch ===
Version: 5
Source: https://ftp.isc.org/isc/kea/(\d+\.\d*[02468]+\.\d+)/
Matching-Pattern: kea-(.+)\.tar\.gz
Compression: xz
Uversion-Mangle: s/((rc|b)\d+)$/~$1/; s/-P(\d+)$/.P$1/
Dversionmangle: s/\.dfsg\./-/; s/[\.\+]dfsg$//
Dirversion-Mangle: s/((rc|b)\d+)$/~$1/; s/-P(\d+)$/.P$1/
Pgp-Sig-Url-Mangle: s/$/.asc/
