## isc-kea 3.0.2

=== debian/changelog ===
isc-kea (3.0.2-2) unstable; urgency=medium

  * d/rules: generate docs after dh_auto_build

 -- Athos Ribeiro <athos@debian.org>  Thu, 19 Feb 2026 22:39:43 -0300

isc-kea (3.0.2-1) unstable; urgency=medium

  [ Paride Legovini ]
  * d/salsa-ci.yml: run Ubuntu tests on Resolute (current devel release)
  * d/watch: split paragraphs as required by debian-watch(5)

  [ Athos Ribeiro ]
  * d/watch: match xz compressed files
  * New upstream version 3.0.2 (Closes: #1109369)
  * d/t/control: add missing dpkg-dev test dependency
  * d/kea-common.install: install radius hook configs
  * d/kea-dev.install: install kea.pc pkgconf file
  * d/not-installed: do not install meson-info data
  * d/control:
    - update uploader email
    - add missing build dependencies
  * d/rules: use meson+ninja build system

 -- Athos Ribeiro <athos@debian.org>  Wed, 18 Feb 2026 13:42:10 -0300
