=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Ondřej Surý <ondrej@debian.org>,
  Jason Guy <jason.e.guy@gmail.com>,
  Paride Legovini <paride@debian.org>,
- Athos Ribeiro <athos.ribeiro@canonical.com>,
+ Athos Ribeiro <athos@debian.org>,
 Build-Depends:
  bison,
  debhelper-compat (= 13),
@@ -20,12 +20,15 @@
  liblog4cplus-dev,
  libpq-dev,
  libssl-dev,
+ meson,
  po-debconf,
  postgresql-server-dev-all,
  procps <!nocheck>,
+ pkgconf,
  python3:any,
  python3-sphinx,
  python3-sphinx-rtd-theme,
+ python3-sphinxcontrib.applehelp,
 Standards-Version: 4.7.2
 Homepage: http://kea.isc.org/
 Vcs-Git: https://salsa.debian.org/debian/isc-kea.git
