=== debian/rules ===
--- 
+++ 
@@ -17,34 +17,27 @@
 endif
 
 %:
-	dh $@ -X.la
+	dh $@ -buildsystem=meson+ninja -X.la --builddirectory=build --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--prefix=/usr \
-		--sysconfdir=/etc \
-		--localstatedir=/var \
-		--with-openssl \
-		--with-mysql \
-		--with-pgsql \
-		--with-boost-libs=-lboost_system \
-		--enable-generate-docs \
-		--enable-generate-messages \
-		--enable-shell \
-		--disable-static \
-		--disable-rpath \
-		--enable-generate-parser \
-		--disable-dependency-tracking \
-		--enable-perfdhcp \
-		--without-werror \
-		--with-site-packages=/usr/lib/python3/dist-packages
+		-Drunstatedir=/run \
+		-Dnetconf=disabled \
+		-Dkrb5=disabled \
+		-Dcrypto=openssl \
+		-Dmysql=enabled \
+		-Dpostgresql=enabled
+
+execute_after_dh_auto_build:
+	# build docs
+	ninja -C build doc
 
 execute_after_dh_auto_build-indep:
 	# Do not download external JS components in binary documentation package
 	# Inspired by similar removal in python-pyopencl
 	# Thanks to Andreas Beckmann
-	find doc/sphinx/_build/html -name '*.html' -exec sed -r -i -e '\,( *)<script async="async" src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>,i \1<script src="/usr/share/javascript/mathjax/MathJax.js"></script>' {} +
-	find doc/sphinx/_build/html -name '*.html' -exec sed -r -i -e 's,https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js,/usr/share/javascript/mathjax/config/TeX-MML-AM_CHTML.js,' {} +
+	find build/doc/sphinx/_build/html -name '*.html' -exec sed -r -i -e '\,( *)<script async="async" src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>,i \1<script src="/usr/share/javascript/mathjax/MathJax.js"></script>' {} +
+	find build/doc/sphinx/_build/html -name '*.html' -exec sed -r -i -e 's,https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js,/usr/share/javascript/mathjax/config/TeX-MML-AM_CHTML.js,' {} +
 
 execute_after_dh_install:
 	dh_apparmor -pkea-ctrl-agent --profile-name=usr.sbin.kea-ctrl-agent
@@ -57,7 +50,7 @@
 	dh_auto_test --no-parallel
 
 execute_after_dh_auto_install:
-	rm -rv \
+	rm -rfv \
 	    debian/tmp/usr/share/doc/kea/ChangeLog \
 	    debian/tmp/usr/share/doc/kea/COPYING \
 	    debian/tmp/usr/lib/python3/dist-packages/kea/__pycache__
