=== debian/tests/control ===
--- 
+++ 
@@ -10,4 +10,4 @@
 
 Tests: kea-dhcp4
 Restrictions: needs-root, allow-stderr, breaks-testbed
-Depends: kea-dhcp4-server, kea-ctrl-agent, isc-dhcp-client, bridge-utils, iproute2, jq
+Depends: kea-dhcp4-server, kea-ctrl-agent, isc-dhcp-client, bridge-utils, iproute2, jq, dpkg-dev
