=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Version: 5
+
 Source: https://ftp.isc.org/isc/kea/(\d+\.\d*[02468]+\.\d+)/
-Matching-Pattern: kea-(.+)\.tar\.gz
+Matching-Pattern: kea-(.+)\.tar\.xz
 Compression: xz
 Uversion-Mangle: s/((rc|b)\d+)$/~$1/; s/-P(\d+)$/.P$1/
 Dversionmangle: s/\.dfsg\./-/; s/[\.\+]dfsg$//
